Home Blog Pokémon GO Device Requirements for Android and iOS

Pokémon GO Device Requirements for Android and iOS

10
Pokémon GO Device Requirements for Android and iOS

If Pokémon GO is available in your country but you are unable to download it, it’s likely because your Android or iOS device is not supported.

In addition, and while it may seem obvious, Pokémon GO does require a decent service provider or Wi-Fi signal. Below is the official device requirements per the developer’s website. If future changes are made, we will be sure to provide an update for you.

Also worth mentioning, Niantic’s development team is currently working on a fix for users experiencing intermittent server connectivity issues. An application update should be released into the wild soon enough.

Pokémon GO Device Requirements

Android

  • Android 4.4 to Android 6.0.1 (Android N will be not supported until the official Android release)
  • Preferred resolution of 720 x 1280 pixels (Not optimized for tablet)
  • Strong Internet connection (Wi-Fi, 3G, or 4G)
  • GPS and Location Services
  • Intel CPUs are not supported

iOS

  • iPhone 5+
  • iOS 8+
  • Strong Internet connection (Wi-Fi, 3G, or 4G)
  • GPS and Location Services
  • Jailbroken devices are not supported

Follow Nintendo News on Twitter, Facebook, and Google Plus for the latest Pokémon GO news coverage.

10 COMMENTS

  1. These requirements mean nothing! I’ve got several devices that ‘should’ in theory support Pokemon go but they don’t! A list of actual devices would be much more helpful if anyone knows? It obviously works on my iPhone 6 and also my husband’s Sony experia z5 but definately not on iPod touch (1st gen so not surprising), iPhone 3GS (again, annoying but not surprising) or a galaxy tab 2. It doesn’t work on an Alcatel pixi 3 (despite it meeting the requirements and neither does it work on a Vodafone first smart again, despite it having the necessary operating system etc.

  2. My husband just bought an android 6.0 (Marshmallow) tablet. Tried to download pokemon go and it said his device wasn’t supported. I looked up supported devices and Android goes from 4.0 to 6.0.1. I’m not understanding why his isn’t supported. Will pokemon go work on an android 5.0 (Lollipop) device? If so, I will take his back and get one of those. If not, what do I need to look for to get pokemon go working for him? He had it on an older tablet but with the latest update, he got the same message that it wasn’t supported on his device. Any help would be appreciated. Either with my dilemma, or with where to go to get my answer. Processor: 64 bit Octa Core
    TIA

  3. When I start the game it’s showing as failed to detect location can you please fix this I am using 4.4.2 Android device

  4. So, I have an Ares 8 Nextbook, with Android 5.0 (Lolipop) on it. I can install Pokemon Go. I load it up, the splash screen appears with Niantic and Pokemon Company… And then Black screen. What gives?

    • Hi there, I can see where that can be a bit confusing. I was just going off what Niantic’s website said. Anyway, I’ve adjusted the post title and article. Thanks!

LEAVE A REPLY

Please enter your comment!
Please enter your name here